Bug 143295 - DateAcceptancePattern is wrong in Korean.
Summary: DateAcceptancePattern is wrong in Korean.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.1
Keywords:
Depends on:
Blocks: CJK-Korean
  Show dependency treegraph
 
Reported: 2021-07-10 19:05 UTC by DaeHyun Sung
Modified: 2022-05-03 12:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DaeHyun Sung 2021-07-10 19:05:00 UTC
Description:
I checked Korean Line break rules file ( i18npool/source/localedata/data/ko_KR.xml ).

So, I also checked Korean LC_FORMAT, DateAcceptancePattern rule.

In Korean Date notations, 'M/D' doesn't use in Korean.

As a Korea Standard(Republic of Korea's agency Korean Standards Association - KS X ISO8601), Date notation follows ISO 8601 — Date and time format.
So, The Korean Version of MS Excel displays dates based on ISO8601.

Also, As a Hangul orthography(한글맞춤법), the overall rules of writing the Korean language with Hangul, Date notation uses '.'
Use of ' - (2) Arabic numerals alone to indicate the date of the year, month and day.
Example) 1919. 3. 1.
2008년 5월 → 2008. 5.
7월 22일 → 7. 22.

As a result, In Korean, both "YYYY-MM-DD"(ISO8601) and "YYYY. MM. DD."Hangul orthography(한글맞춤법)" are public and usually use in Korean.

Steps to Reproduce:
1. Tools -> Options -> Language Settings -> Languages 
2. 
3.

Actual Results:
Date Acceptance patterns: Y/M/D;M/D;

Expected Results:
Date Acceptance patterns: Y/M/D;M/D;


Reproducible: Always


User Profile Reset: No



Additional Info:
Date Acceptance patterns: Y-M-D;M-D;M.D.;M월D일;Y.M.D.;Y년M월D일
Comment 1 DaeHyun Sung 2021-07-10 19:12:11 UTC
The example of Unicode CLDR - Korean Date/Time charts.
https://unicode-org.github.io/cldr-staging/charts/latest/verify/dates/ko.html
Comment 2 Commit Notification 2021-07-31 16:06:55 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9a873383868814e18de8d205a03c0824c74b6d56

tdf#143295 fix DateAcceptancePattern in Korean

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-07-31 17:19:52 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/0f999f33dcaf1e830ddf8d45aa36b8ef1b2a9ff3

tdf#143295 fix DateAcceptancePattern in Korean

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2021-07-31 17:33:34 UTC
If Y/M/D and M/D aren't used, shouldn't then all YYYY/MM/DD and MM/DD format codes be changed to YYYY-MM-DD and MM-DD and the date separator be '-' instead of '/'?

And if "YYYY. MM. DD." is a standard format, shouldn't then also "Y. M. D." (with blanks) and "M. D." be in the date acceptance patterns?
Comment 5 Xisco Faulí 2022-05-03 12:25:42 UTC
Dear DaeHyun Sung,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assign it back to yourself if you're still working on this.